Subject: Re: bug#56789: 28.1.90; Emoji composition problems with Harfbuzz 5.0.1-1

From: Robert Pluim <[email-masked]>
Date: Wed, 27 Jul 2022 14:52:45 +0200

>>>>> On Wed, 27 Jul 2022 12:06:43 +0000, Simon Pugnet <[email-masked]> said:

    Simon> Hi Eli,
    Simon> "Eli Zaretskii" <[email-masked]> writes:

    >>> Date: Wed, 27 Jul 2022 06:10:06 +0000
    >>> From: Simon Pugnet <[email-masked]>
    >>> 
    >>> Instead of seeing a correctly composed emoji sequence as before, I
    >>> now
    >>> only see an empty box with a single-pixel border.
    >> 
    >> Could you show a screenshot of that "empty box"?

    >> Also, does this happen in "emacs -Q"?

    Simon> Yes, my screenshot and tests were done with "emacs -Q".

I can reproduce this on archlinux. If I downgrade to harfbuzz 4.4.1-1
the composed sequence displays properly , so it seems like a harfbuzz issue
(or the way weʼre supposed to use the API has changed). In any case I
think this needs to be taken up with the harfbuzz developers.

Robert
--